/*
  Copyright (C) 2000-2003 SKYRIX Software AG

  This file is part of OGo

  OGo is free software; you can redistribute it and/or modify it under
  the terms of the GNU Lesser General Public License as published by the
  Free Software Foundation; either version 2, or (at your option) any
  later version.

  OGo is distributed in the hope that it will be useful, but WITHOUT ANY
  WARRANTY; without even the implied warranty of MERCHANTABILITY or
  FITNESS FOR A PARTICULAR PURPOSE.  See the GNU Lesser General Public
  License for more details.

  You should have received a copy of the GNU Lesser General Public
  License along with OGo; see the file COPYING.  If not, write to the
  Free Software Foundation, 59 Temple Place - Suite 330, Boston, MA
  02111-1307, USA.
*/
// $Id: NGExtensions.h,v 1.3 2003/07/11 17:12:50 jan Exp $

#ifndef __NGExtensions_H__
#define __NGExtensions_H__

#include <NGExtensions/AutoDefines.h>

#if NeXT_Foundation_LIBRARY || APPLE_Foundation_LIBRARY || COCOA_Foundation_LIBRARY
#  import <FoundationExt/objc-api.h>
#  import <FoundationExt/objc-runtime.h>
#  import <FoundationExt/NSException.h>
#  import <FoundationExt/GeneralExceptions.h>
#  import <FoundationExt/MissingMethods.h>
#  import <FoundationExt/NSObjectMacros.h>
#endif

#if defined(LIB_FOUNDATION_LIBRARY)
#  define NoZone nil
#else
#  define NoZone NULL
#endif

#include <NGExtensions/EODataSource+NGExtensions.h>
#include <NGExtensions/EOGrouping.h>
#include <NGExtensions/EOGroupingSet.h>
#include <NGExtensions/EOKeyGrouping.h>
#include <NGExtensions/EOQualifierGrouping.h>
#include <NGExtensions/NGBase64Coding.h>
#include <NGExtensions/NGBaseTypes.h>
#include <NGExtensions/NGBitSet.h>
#include <NGExtensions/NGBundleManager.h>
#include <NGExtensions/NGCString.h>
#include <NGExtensions/NGFileManager.h>
#include <NGExtensions/NGHashMap.h>
#include <NGExtensions/NGMemoryAllocation.h>
#include <NGExtensions/NGMerging.h>
#include <NGExtensions/NGQuotedPrintableCoding.h>
#include <NGExtensions/NGStack.h>
#include <NGExtensions/NSArray+enumerator.h>
#include <NGExtensions/NSCalendarDate+misc.h>
#include <NGExtensions/NSData+misc.h>
#include <NGExtensions/NSDictionary+misc.h>
#include <NGExtensions/NSURL+misc.h>
#include <NGExtensions/NSEnumerator+misc.h>
#include <NGExtensions/NSException+misc.h>
#include <NGExtensions/NSMethodSignature+misc.h>
#include <NGExtensions/NSNull+misc.h>
#include <NGExtensions/NSObject+Logs.h>
#include <NGExtensions/NSObject+Values.h>
#include <NGExtensions/NSProcessInfo+misc.h>
#include <NGExtensions/NSSet+enumerator.h>
#include <NGExtensions/NSString+Formatting.h>
#include <NGExtensions/NSString+Encoding.h>
#include <NGExtensions/NSString+misc.h>

#include <NGExtensions/IndexFunc.h>

// kit class

@interface NGExtensions : NSObject
@end

// linking ..

#define LINK_NGExtensions \
  void __link_NGExtensions(void) { \
    [NGExtensions self];   \
    __link_NGExtensions(); \
  }

#endif /* __NGExtensions_H__ */
