/*
  Copyright (C) 2000-2003 SKYRIX Software AG

  This file is part of OGo

  OGo is free software; you can redistribute it and/or modify it under
  the terms of the GNU Lesser General Public License as published by the
  Free Software Foundation; either version 2, or (at your option) any
  later version.

  OGo is distributed in the hope that it will be useful, but WITHOUT ANY
  WARRANTY; without even the implied warranty of MERCHANTABILITY or
  FITNESS FOR A PARTICULAR PURPOSE.  See the GNU Lesser General Public
  License for more details.

  You should have received a copy of the GNU Lesser General Public
  License along with OGo; see the file COPYING.  If not, write to the
  Free Software Foundation, 59 Temple Place - Suite 330, Boston, MA
  02111-1307, USA.
*/
// $Id: NGImap4DataSource.h,v 1.2 2003/07/11 17:12:50 jan Exp $

#ifndef __LSWebInterface_LSOffice3_LSWImapMail_SkyImapMailDataSource_H__
#define __LSWebInterface_LSOffice3_LSWImapMail_SkyImapMailDataSource_H__

#import <NGExtensions/EODataSource+NGExtensions.h>
#import <NGImap4/NGImap4Folder.h>

@class NSArray;
@class NGImap4Folder;
@class EOFetchSpecification;

@interface NGImap4DataSource : EODataSource
{
@protected
  EOFetchSpecification *fspec;
  NSArray       *messages;
  NGImap4Folder *folder;
  int           oldExists; // remember the 'exists' flag of the folder
  int           oldUnseen; // remember the 'unseen' flag of the folder

  NSArray       *oldUnseenMessages;
}

- (id)initWithFolder:(NGImap4Folder *)_folder;

- (void)setFolder:(NGImap4Folder *)_folder;
- (NGImap4Folder *)folder;

- (int)oldExists;
- (int)oldUnseen;

@end

#endif
