/*
  Copyright (C) 2000-2003 SKYRIX Software AG

  This file is part of OGo

  OGo is free software; you can redistribute it and/or modify it under
  the terms of the GNU Lesser General Public License as published by the
  Free Software Foundation; either version 2, or (at your option) any
  later version.

  OGo is distributed in the hope that it will be useful, but WITHOUT ANY
  WARRANTY; without even the implied warranty of MERCHANTABILITY or
  FITNESS FOR A PARTICULAR PURPOSE.  See the GNU Lesser General Public
  License for more details.

  You should have received a copy of the GNU Lesser General Public
  License along with OGo; see the file COPYING.  If not, write to the
  Free Software Foundation, 59 Temple Place - Suite 330, Boston, MA
  02111-1307, USA.
*/
// $Id: NGImap4ResponseParser.h,v 1.2 2003/07/11 17:12:50 jan Exp $

#ifndef __Networking_NGImap4_NGImap4ResponseParser_H__
#define __Networking_NGImap4_NGImap4ResponseParser_H__

#import <Foundation/NSObject.h>
#import <Foundation/NSException.h>
#include <NGStreams/NGSocketProtocols.h>
#include <NGImap4/NGImap4Support.h>

@class NSString, NGHashMap, NGByteBuffer, NSMutableString;

@interface NGImap4ResponseParser : NSObject
{
  NGByteBuffer     *buffer;    
  BOOL             debug;
  NSMutableString  *lineDebug;
  
  int (*la)(id, SEL, unsigned);

  NSMutableString *serverResponseDebug;
}

+ (id)parserWithStream:(id<NGActiveSocket>)_stream;
- (id)initWithStream:(id<NGActiveSocket>)_stream;

/* parsing */

- (NGHashMap *)parseResponseForTagId:(int)_tag;
- (NGHashMap *)parseSieveResponse;

@end

#endif /* __Networking_NGImap4_NGImap4ResponseParser_H__ */
